menu
#7862051 Cannot declare class FantasyGirl1988\SendPlugin\commands\Plugin because the name is already in use

Submitted by PocketMine-MP 4.10.0

General information

Version: 4.10.0
Git commit: 0d5287bf
Plugin involvement: Direct
Report date: 2022-11-24 11:56:05 +0000 UTC
Server uptime: 0 days 0 hours 0 minutes 2 seconds

System Information

PHP version: 8.0.24
JIT status: Disabled
Operating system: linux
System banner: Linux 402217bb-c103-48c4-abcd-6381499d3a56 5.15.64-1-pve #1 SMP PVE 5.15.64-1 (Thu, 13 Oct 2022 10:30:34 +0200) x86_64

Error information

Warning: the CityBuildSystem plugin was directly involved in this crash. Please contact the plugin author.
Message: Cannot declare class FantasyGirl1988\SendPlugin\commands\Plugin because the name is already in use
File: plugins/SendPlugin (148).phar/src/FantasyGirl1988/SendPlugin/commands/Plugins
Line: #18
Error level: E_COMPILE_ERROR
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
use pocketmine\Server;
use pocketmine\plugin\Plugin;
use pocketmine\utils\TextFormat;
use function array_map;
use function count;
use function implode;
use function sort;
use const SORT_STRING;

class Plugin extends Command{


public function __construct(){
parent::__construct("plugins", "Siehe die Plugin list!", null, ["pl", "plugin"]);
}

public function execute(CommandSender $sender, string $commandString, array $args){
if(!$sender->hasPermission("plugins.cmd") && !Server::getInstance()->isOp($sender)){
$sender->sendMessage("§l§bPLUGINS §r§8» §cDu darfst diesen Befehl nicht benutzen!");
return false;

Loaded Plugins

  • Show

Server Settings

  • Show

Installed PHP Extensions

  • Show